package com.tuoheng.miniprogram.service;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.miniprogram.entity.InspectionFile;
import com.tuoheng.miniprogram.entity.dto.QuestionIdentificationDto;
import com.tuoheng.miniprogram.entity.query.InspectionFileQuery;

/**
 * @Author ChengWang
 * @Date 2022/11/23
 */
public interface IInspectionFileService {
    JsonResult unconfirmedQuestion(InspectionFileQuery query);

    JsonResult confirmedQuestion(InspectionFileQuery query);

    JsonResult ignoredQuestion(InspectionFileQuery query);

    JsonResult questionIdentification(QuestionIdentificationDto dto);

    JsonResult confirm(InspectionFile entity);

    JsonResult ignore(InspectionFile entity);

    JsonResult seeQuestion(String id);

    JsonResult navigation(String id);

    JsonResult handleCount();

    JsonResult playback(String id);
}
